/**
 * @function autoInit
 * Initiate Fluid design system javascript components working with vanilla JS, React, Angular and Vue.
 * - add root id to the top container (id="root")
 * - import inside your code or via script tag  lib/fluid-design-system.js then  lib/auto-init.js
 * - do not use custom tag (otherwise you must use custom elements )
 * - no need to import webcomponentsjs and custom elements adapters
 *
 * For fluid developers:
 * do not forget to add New JS component names inside componentNames array. Follow NEW_COMPONENT code tag
 *
 * Add a js config file to setup root Element:
 * window.NJ = window.NJ || {};
 * window.NJ.config = { rootElementId: 'monElementID' } };
 */
declare const autoInit: boolean;
export default autoInit;
