/**
 * --------------------------------------------------------------------------
 * NJ: accordion.ts
 * --------------------------------------------------------------------------
 */
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Accordion extends AbstractComponent {
    static readonly NAME = "nj-accordion";
    protected static readonly DATA_KEY = "nj.accordion";
    protected static readonly EVENT_KEY: string;
    protected static readonly ACTIONS: {
        expand: string;
        collapse: string;
    };
    protected static readonly SELECTOR: {
        default: string;
        details: string;
        expandAllBtn: string;
        collapseAllBtn: string;
    };
    private readonly root;
    private readonly details;
    private readonly expandAllBtn;
    private readonly collapseAllBtn;
    constructor(element: HTMLElement);
    static init(options?: {}): Accordion[];
    dispose(): void;
    static getInstance(element: HTMLElement): Accordion;
    private setListeners;
    private toggleExclusiveAccordion;
    private clickOnAction;
}
