import { Accordion, Alert, AutocompleteInput, BeforeHideEventSource, Collapse, displayTooltipOnHoverAndFocus, Dropdown, Fab, Form, Header, IMenuOptions, initAllTooltips, InlineMessage, InputNumber, ITooltipOptions, Modal, Navbar, njTooltip, openMenu, Password, Search, SegmentedControl, Select, SelectInput, Sidebar, Slider, Tab, Tag, Tooltip } from './components';
import 'fluid-styles/css';
/**
 * Main class of Fluid Design System library
 */
export default class NJ {
    private static readonly AUTOINIT_COMPONENTS;
    static readonly Accordion: typeof Accordion;
    static readonly Alert: typeof Alert;
    static readonly Collapse: typeof Collapse;
    static readonly Dropdown: typeof Dropdown;
    static readonly Fab: typeof Fab;
    static readonly Form: typeof Form;
    static readonly Header: typeof Header;
    static readonly InlineMessage: typeof InlineMessage;
    static readonly InputNumber: typeof InputNumber;
    static readonly Search: typeof Search;
    static readonly Modal: typeof Modal;
    static readonly Navbar: typeof Navbar;
    static readonly Select: typeof Select;
    static readonly Sidebar: typeof Sidebar;
    static readonly Slider: typeof Slider;
    static readonly Tab: typeof Tab;
    static readonly Tag: typeof Tag;
    static readonly njTooltip: (anchorElement: HTMLElement, content?: string | HTMLElement, options?: ITooltipOptions) => Tooltip;
    static readonly initAllTooltips: (element?: HTMLElement, querySelector?: string) => {
        tooltips: Tooltip[];
        unmount: () => void;
    };
    static readonly displayTooltipOnHoverAndFocus: (tooltip: Tooltip, triggerElement?: HTMLElement) => () => void;
    static readonly Tooltip: typeof Tooltip;
    static readonly Password: typeof Password;
    static readonly SelectInput: typeof SelectInput;
    static readonly AutocompleteInput: typeof AutocompleteInput;
    static readonly openMenu: typeof openMenu;
    /**
     * Initialize the components listed in the AUTOINIT_COMPONENTS variable
     */
    static AutoInit(): void;
}
export { Accordion, Alert, Collapse, Dropdown, Fab, Form, Header, InlineMessage, InputNumber, Search, Modal, Navbar, Password, Select, Sidebar, Slider, Tab, Tag, AutocompleteInput, SelectInput, SegmentedControl, BeforeHideEventSource, njTooltip, initAllTooltips, displayTooltipOnHoverAndFocus, Tooltip, ITooltipOptions, openMenu, IMenuOptions };
declare global {
    interface Window {
        NJ: any;
    }
}
